# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name highlighting-kate

%global common_summary Sourcecode syntax highlighting library

%global common_description Highlighting-kate is a syntax highlighting library with support for\
over one hundred languages. The syntax parsers are automatically\
generated from Kate syntax descriptions (http://kate-editor.org/), so\
any syntax supported by Kate can be added.

Name:           %{pkg_name}
Version:        0.2.10
Release:        2%{?dist}
Summary:        Sourcecode syntax highlighting library

Group:          Applications/Publishing
License:        GPLv2+
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-pcre-light-prof
BuildRequires:  ghc-xhtml-prof

%description
%{common_description}

The package provides the Highlighting commandline program.


%prep
%setup -q


%build
%define cabal_configure_options -f executable
%ghc_lib_build


%install
%ghc_lib_install


%ghc_package

%ghc_description




%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/Highlight


%ghc_files
%doc README changelog


%changelog
* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.2.10-2
- update to cabal2spec-0.25.2

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.10-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.2.10-1.1
- rebuild with new gmp

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 0.2.10-1
- update to 0.2.10

* Tue Jul 12 2011 Jens Petersen <petersen@redhat.com> - 0.2.9-2
- update to cabal2spec-0.23.2

* Thu Jun  2 2011 Jens Petersen <petersen@redhat.com> - 0.2.9-1
- GPLv2+
- add all dependencies

* Thu Jun  2 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.9-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23
